Skip to main content
POST
/
filesystem-multipart
/
initiate
/
{path}
Initiate multipart upload
curl --request POST \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/initiate/{path} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "permissions": "0644"
}
'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/initiate/{path}"

payload = { "permissions": "0644" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({permissions: '0644'})
};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/initiate/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "path": "/tmp/largefile.dat",
  "uploadId": "550e8400-e29b-41d4-a716-446655440000"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

path
string
required

File path

Body

application/json

Optional permissions

permissions
string
Example:

"0644"

Response

Upload session created

path
string
Example:

"/tmp/largefile.dat"

uploadId
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

Last modified on June 17, 2026